#include <bits/stdc++.h>

using namespace std;

int main(){
    int n, m;
    cin >> n >> m;
    int a[n]; int sum = 0;
    for(int i = 0; i < n; i++)
        cin >> a[i];
    for(int i = 0; i < m; i++){
        int q, w;
        cin >> q >> w;
        sum += max(-(a[q-1]+a[w-1]), a[q-1]+a[w-1]);
    }
    cout << sum;
}